Loading...
Searching...
No Matches
Creating from scratch a XMLNode structure
The XML parser » Create or Update the XMLNode structure

## Functions

static XMLNode | XMLNode::createXMLTopNode (XMLCSTR lpszName, char isDecl=FALSE)
| Create the top node of an XMLNode structure.
XMLNode | XMLNode::addChild (XMLCSTR lpszName, char isDecl=FALSE, XMLElementPosition pos=-1)
| Add a new child node.
XMLNode | XMLNode::addChild (XMLNode nodeToAdd, XMLElementPosition pos=-1)
| If the "nodeToAdd" has some parents, it will be detached from it's parents before being attached to the current XMLNode.
XMLAttribute * | XMLNode::addAttribute (XMLCSTR lpszName, XMLCSTR lpszValuev)
| Add a new attribute.
XMLCSTR | XMLNode::addText (XMLCSTR lpszValue, XMLElementPosition pos=-1)
| Add a new text content.
XMLClear * | XMLNode::addClear (XMLCSTR lpszValue, XMLCSTR lpszOpen=NULL, XMLCSTR lpszClose=NULL, XMLElementPosition pos=-1)
| Add a new clear tag.

## Detailed Description

## Function Documentation

## addClear()

XMLClear * XMLNode::addClear | ( | XMLCSTR | lpszValue,
|  | XMLCSTR | lpszOpen = NULL,
|  | XMLCSTR | lpszClose = NULL,
|  | XMLElementPosition | pos = -1 )

Add a new clear tag.

Parameters

  lpszOpen | default value "<![CDATA["
  lpszClose | default value "]]>"

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0